com.brightcove.player.model

## Enum DeliveryType

- java.lang.Object
- - java.lang.Enum<DeliveryType>
  - - com.brightcove.player.model.DeliveryType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DeliveryType>

      public enum DeliveryType
      extends java.lang.Enum<DeliveryType>

  Defines standard keys for each type of deliverable media asset handled by the SDK. These are specifically used to indicate the type Source assets held within a SourceCollection. These values correspond to the standard MIME types for each delivery mechanism.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASH` DASH
    `FLV` Indicates video content delivered via Flash Streaming.
    `HLS` Indicates video content delivered via HTTP Live Streaming.
    `MP4` Indicates H.264 encoded video in MP4 container delivered via HTTP or HTTPS.
    `UNKNOWN` Indicates that no DeliveryType was specified.
    `WVM` Widevine

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeliveryType` | `getDeliveryTypeByName(java.lang.String deliveryTypeByName)`
    `java.lang.String` | `toString()`
    `static DeliveryType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeliveryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DeliveryType UNKNOWN

      Indicates that no DeliveryType was specified.

    - #### MP4

          public static final DeliveryType MP4

      Indicates H.264 encoded video in MP4 container delivered via HTTP or HTTPS.

    - #### HLS

          public static final DeliveryType HLS

      Indicates video content delivered via HTTP Live Streaming.

    - #### FLV

          public static final DeliveryType FLV

      Indicates video content delivered via Flash Streaming.

    - #### WVM

          public static final DeliveryType WVM

      Widevine

    - #### DASH

          public static final DeliveryType DASH

      DASH

  - ### Method Detail

    - #### values

          public static DeliveryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeliveryType c : DeliveryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeliveryType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DeliveryType>`

    - #### getDeliveryTypeByName

          public static DeliveryType getDeliveryTypeByName(java.lang.String deliveryTypeByName)